# Uses of Enum Class
java.nio.file.attribute.AclEntryType

Packages that use AclEntryType
Package
Description
java.nio.file.attribute
Interfaces and classes providing access to file and file system attributes.

## Uses of AclEntryType in java.nio.file.attribute

Methods in java.nio.file.attribute that return AclEntryType
Modifier and Type
Method
Description
`AclEntryType`
AclEntry.`type()`
Returns the ACL entry type.
`static AclEntryType`
AclEntryType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AclEntryType[]`
AclEntryType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in java.nio.file.attribute with parameters of type AclEntryType
Modifier and Type
Method
Description
`AclEntry.Builder`
AclEntry.Builder.`setType(AclEntryType type)`
Sets the type component of this builder.